StocksAndFisheriesKB - Bug #23408

Task # 23406 (In Progress): GRSF records management panel : bug fixes, tests and improvements
GRSF Manage widget is buggy

May 25, 2022 04:18 PM - Francesco Mangiacrapa

Status: Closed Start date: May 25, 2022
Priority: Urgent Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

| just noticed the "GRSF Manage widget" that shows the "GRSF Management Panel" is buggy in PRODUCTION.

The error would seem due to conflict with the latest version of grsf-common-library dependency.

History

#1 - May 25, 2022 04:46 PM - Francesco Mangiacrapa

- Tracker changed from Task to Bug

#2 - May 25, 2022 06:04 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

#3 - May 26, 2022 10:34 AM - Francesco Mangiacrapa
- File Manage_GRSF_Record_shown_in_DEV_env.png added
- % Done changed from 0 to 90

By resolving the conflict with the grsf-common-library library and using the latest version released in PRODUCTION (i.e. grsf-common-library: 1.3.2),
the "GRSF Management Panel" (see screenshot) is shown correctly in DEVELOPMENT environment. I'm going to release the bug fixing.

#4 - May 26, 2022 11:16 AM - Francesco Mangiacrapa
- % Done changed from 90 to 100

Released in DEV, the libraries are correct:

1s tomcat/webapps/gcube-ckan—-datacatalog—2.2.1-SNAPSHOT/WEB-INF/1lib | grep grsf
grsf-common-library-1.3.2.jar

grsf-manage-widget-1.6.0-SNAPSHOT. jar

Going to release this component

#7 - May 27, 2022 04:31 PM - Francesco Mangiacrapa

- File GRSF_MANAGE_PANEL_OK_IN_GRSF_Admin.png added

- Status changed from In Progress to Closed

The Catalogue Portlet has just been deployed in PRODUCTION (see https:/support.d4science.org/issues/23435) and the "GRSF Manage Panel"
now works fine.

See at https://i-marine.d4science.org/group/grsf_admin/data-catalogue
